#
# spec file for package zathura-plugin-ps
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define realname zathura-ps
Name:           zathura-plugin-ps
Version:        0.2.8
Release:        1.3
Summary:        PS support for zathura via libspectre
License:        Zlib
Group:          Productivity/Office/Other
URL:            https://pwmt.org/projects/%{realname}/
Source:         https://pwmt.org/projects/%{realname}/download/%{realname}-%{version}.tar.xz
BuildRequires:  meson >= 0.61
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(girara-gtk3)
BuildRequires:  pkgconfig(libspectre)
BuildRequires:  pkgconfig(zathura) >= 0.3.8
Requires:       zathura
Provides:       zathura-ps-plugin

%description
The zathura-ps plugin adds PostScript support to zathura by using the libspectre library.

%prep
%setup -q -n %{realname}-%{version}

%build
%meson -Dtests=disabled
%meson_build

%install
%meson_install
find %{buildroot} -name "*.desktop" -delete -print

%files -n %{name}
%license LICENSE
%doc AUTHORS
%dir %{_libdir}/zathura
%{_libdir}/zathura/libps.so
%{_datadir}/metainfo/org.pwmt.zathura-ps.metainfo.xml

%changelog
* Sun Aug 11 2024 Jakob Lorenz <onlyjak0b@mailbox.org>
- Update to 0.2.8
  * Various bug fixes and improvements
* Tue Dec 13 2022 llyyr <llyyr.public@gmail.com>
- Update to 0.2.7
  * Various bug fixes and improvements
* Wed Aug  8 2018 jengelh@inai.de
- Remove unnecessary ldconfig calls for plugins.
* Sat May 26 2018 mimi.vx@gmail.com
- update to 0.2.6
  * use meson build system
* Fri Jan 26 2018 mimi.vx@gmail.com
- update to 0.2.5
  * adapt to new plugin interface
* Sat May 27 2017 bwiedemann@suse.com
- update to 0.2.4
  - Link with -fPIC
  - Update Makefile
* Wed Feb 24 2016 mimi.vx@gmail.com
- update to 0.2.2
  * Advertise URL support
* Fri Nov 21 2014 mimi.vx@gmail.com
- add requires zathura
* Sun Nov 16 2014 mimi.vx@gmail.com
- renamed to zathura-plugin-ps
* Tue Oct 28 2014 mimi.vx@gmail.com
- change licence to Zlib
* Mon Oct 27 2014 mimi.vx@gmail.com
- SFLAGS="" to get debuginfo
* Thu Oct 23 2014 mimi.vx@gmail.com
- change deps to pkgconfig
* Thu Oct 23 2014 mimi.vx@gmail.com
- initial commit of zathura ps plugin
